<?php

class PicasaWebAPI {

   protected $email;
   protected $albums = array();

   public function __construct($email) {
      $this->email = $email;
   }//end function __construct

   public function get_albums() {
      $ch = curl_init('http://picasaweb.google.com/data/feed/api/user/'.urlencode($this->email).'?kind=album');
      curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
      $albumsxml = curl_exec($ch);
      $theParser = xml_parser_create();
      xml_parse_into_struct($theParser,$albumsxml,$albumsels);
      xml_parser_free($theParser);
      foreach($albumsels as $el) {
         if($el['tag'] == 'GPHOTO:NAME') $this->albums[] = $el['value'];
      }//end foreach $albumsels as $el
      return $this->albums;
   }//end function get_albums

   public function get_album($name) {
      $ch = curl_init('http://picasaweb.google.com/data/feed/api/user/'.urlencode($this->email).'/album/'.urlencode($name).'?kind=photo');
      curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
      $albumsxml = curl_exec($ch);
      $theParser = xml_parser_create();
      xml_parse_into_struct($theParser,$albumsxml,$albumsels);
      xml_parser_free($theParser);
      $rtrn = array();
      foreach($albumsels as $el) {
         if($el['tag'] == 'CONTENT' && $el['attributes']['SRC']) $rtrn[] = $el['attributes']['SRC'];
      }//end foreach $albumsels as $el
      return $rtrn;
   }//end function get_album

   public function get_all_photos() {
      $this->get_albums();
      $rtrn = array();
      foreach($this->albums as $album) {
         $rtrn += $this->get_album($album);
      }//end foreach albums as album
      return $rtrn;
   }//end function get_all_photos

}//end class

?>